# Arastta™

[![Gitter](https://badges.gitter.im/Join%20Chat.svg)](https://gitter.im/arastta/arastta) [![Crowdin](https://d322cqt584bo4o.cloudfront.net/arastta/localized.png)](https://crowdin.com/project/arastta) [![Code Climate](https://codeclimate.com/github/arastta/arastta/badges/gpa.svg)](https://codeclimate.com/github/arastta/arastta) [![Dependency Status](https://www.versioneye.com/user/projects/558a9f56306662001a000726/badge.svg?style=flat)](https://www.versioneye.com/user/projects/558a9f56306662001a000726)

Arastta is the next generation of Open Source eCommerce software built with modern technologies such as Symfony, Bootstrap, jQuery, Swift Mailer, RESTful API etc.

* [Home](https://arastta.org) - The house of Arastta
* [Blog](https://arastta.org/blog) - Get the latest news
* [Ideas](https://arastta.org/ideas) - Share your ideas
* [Forum](https://arastta.org/forum) - Join the community
* [Tutorials](https://arastta.org/docs) - Learn more about Arastta

## Requirements

* PHP 5.3.10 or higher
* MySQLi 5.1 or higher
* [Other libraries](https://arastta.org/docs/requirements)

## Installation

  * Install [Composer](https://getcomposer.org/download)
  * Download the [repository](https://github.com/arastta/arastta/archive/master.zip) and unzip into your server
  * Open and point your command line to the directory you unzipped Arastta
  * Run the following command: 'composer install'
  * Finally, go to the Arastta folder via your browser

## Contributing

Fork the repository, make the code changes then submit a pull request.

Please, be very clear on your commit messages and pull requests, empty pull request messages may be rejected without reason.

Your code standards should match the [Arastta coding standards](https://github.com/arastta/arastta/wiki/Coding-Standards). We use an automated code scanner to check for most basic mistakes - if the test fails your pull request will be rejected.

Please note that this project is released with a [Contributor Code of Conduct](CODE_OF_CONDUCT.md). By participating in this project you agree to abide by its terms.

## Versioning

Arastta is maintained by using the [Semantic Versioning Specification (SemVer)](http://semver.org).

## License

Arastta is released under the [GPLv3 license](LICENSE.txt).
